Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_event_hook_struct Struct Reference

## Data Fields
rb_event_hook_flag_t | hook_flags
rb_event_flag_t | events
rb_event_hook_func_t | func
VALUE | data
struct rb_event_hook_struct * | next

## Detailed Description

Definition at line 34 of file vm_trace.c.

## Field Documentation

VALUE rb_event_hook_struct::data

Definition at line 38 of file vm_trace.c.

Referenced by alloc_event_hook(), exec_hooks(), remove_event_hook(), and vm_trace_mark_event_hooks().

rb_event_flag_t rb_event_hook_struct::events

Definition at line 36 of file vm_trace.c.

Referenced by alloc_event_hook(), clean_hooks(), connect_event_hook(), and exec_hooks().

rb_event_hook_func_t rb_event_hook_struct::func

Definition at line 37 of file vm_trace.c.

Referenced by alloc_event_hook(), exec_hooks(), and remove_event_hook().

rb_event_hook_flag_t rb_event_hook_struct::hook_flags

Definition at line 35 of file vm_trace.c.

Referenced by alloc_event_hook(), clean_hooks(), exec_hooks(), and remove_event_hook().

struct rb_event_hook_struct* rb_event_hook_struct::next

Definition at line 39 of file vm_trace.c.

Referenced by clean_hooks(), connect_event_hook(), exec_hooks(), remove_event_hook(), and vm_trace_mark_event_hooks().

The documentation for this struct was generated from the following file:

- vm_trace.c